### Virtual Method

# Ide SourceView select_inner

#### Declaration

    void
    select_inner (
      IdeSourceView* self,
      const gchar* inner_left,
      const gchar* inner_right,
      gboolean exclusive,
      gboolean string_mode
    )

#### Description

No description available.

#### Parameters

`inner_left` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`inner_right` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`exclusive` | `gboolean`
| No description available.
`string_mode` | `gboolean`
| No description available.